Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005981TestLinkBug Tracking System - JIRA Integrationpublic2013-10-20 08:582014-12-30 19:11
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005981: Jira SOAP - Additional Attributes Management has limitations
DescriptionWhen management of Additional Attributes was added, development was aimed to solve the JIRA components management.
Test were done using 2 Components, and management of additional components was done following the component data structure that is only ONE LEVEL DEEP.

When trying to solve the issue regarding to CUSTOM FIELDS
(see post on forum => How i can provide "other attributes" to jira soap interface?), testing with JUST ONE COMPONENT failed.

We need to understand how to manage this situation and also complex one.

TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
parent of 0006007closedfman Jira affectsVersions management 
related to 0005982closedfman Jira SOAP - Component is IGNORED When issue has ONLY ONE. 
related to 0005983closedfman Jira SOAP - Additional Attributes Custom Fields 
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019903)
chemchoum (reporter)
2013-10-29 20:05

the following code shows how to set issue versions attribute:
Note that all the members: 'id', 'archived', 'released' are required.
/ Create a new issue
$new = array(
            'project' => 'GIC',
            'type' => 1,
            'summary' => 'Jira integration Test',
            'description' => 'bar',
            'affectsVersions' => array(array('id'=>'15163','archived' => false,'released' => 'false')),
            'environment' => 'Anomalie',
            'priority' => '3',
            'customFieldValues' => array( array('customfieldId' => 'customfield_10100',
                                                'values' => array('Moyenne')),
                                          array('customfieldId' => 'customfield_10700',
                                                'values' => array('Codage'))
                                        )
            );

$jira->create_issue($new);
(0019904)
fman (administrator)
2013-10-29 20:30

issue is not how to create php code carved in the stone that send right values,
but have a logic that create it from configuration in XML.
(0019912)
chemchoum (reporter)
2013-10-30 13:08

That was my next step I was just trying to help by giving the right format in the code to help guessing configuration in XML. it's like reverse engineering.
(0020047)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-10-20 08:58 fman New Issue
2013-10-20 08:58 fman Status new => assigned
2013-10-20 08:58 fman Assigned To => fman
2013-10-20 08:58 fman Description Updated View Revisions
2013-10-20 09:06 fman Issue cloned: 0005982
2013-10-20 09:08 fman Relationship added related to 0005982
2013-10-20 17:38 fman Issue cloned: 0005983
2013-10-20 17:38 fman Relationship added related to 0005983
2013-10-29 20:05 chemchoum Note Added: 0019903
2013-10-29 20:30 fman Note Added: 0019904
2013-10-29 22:59 fman Relationship added parent of 0006007
2013-10-30 13:08 chemchoum Note Added: 0019912
2013-11-08 22:27 fman Status assigned => resolved
2013-11-08 22:27 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-08 22:27 fman Resolution open => fixed
2013-11-08 22:28 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020047
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker